<? include('checkcookie.php'); ?>
<h3>Контроль удаления Заданий</h3>
<?if($_POST["status"]=="del"){
  foreach ($_REQUEST['zap'] as $ide=>$value)
{
$ide=intval($value);
mysql_query("DELETE FROM still_task_del WHERE id='$ide'");
}
echo "<div align=\"center\"><b style=\"color:#00aa00;\">Выбранные Вами записи успешно Удалены!</b></div>";
}?>
<table  width="100%" cellspacing="0" cellpadding="0">
<tr>
    <th>&nbsp;</th>
	<th>Дата удаления</th>
	<th>Денег зачислено</th>
	<th>Автор задания</th>
</tr>
<form name="" action="" method="post">
<?
$kolvo=20; //кол-во выводимых рефералов на страницу
$sqlz=mysql_query("SELECT id FROM still_task_del");
$vsego=intval(mysql_num_rows($sqlz)/$kolvo);
$gg=$vsego*$kolvo;
if($gg<mysql_num_rows($sqlz)) { $vsego=$vsego+1; }
if(isset($_GET["view"])) { $page=intval($_GET["view"]); }else{ $page=1; }
$pages=$vsego/$kolvo;
$pages1=floor($pages);
if($pages>$pages1)
{
	$pages=$pages1+1;
}
$p1=$kolvo*($page-1);
$p2=$kolvo;
$i=0;
$res=mysql_query("select * from still_task_del order by id asc limit $p1,$p2");
if(mysql_num_rows($res)>0){
while($row=mysql_fetch_array($res))
{
$date = date("d.m.y",$row["date"]);

echo <<<STILL
<tr>
<td align=center><div align="center"><input name="zap[]" type="checkbox" value="{$row["id"]}"></div></td>
<td align=center>{$date}</td>
<td align=center>{$row["money"]}</td>
<td align=center>{$row["autor"]}</td>
</tr>
STILL;
}?>
<tr>
<td align=center colspan="6"><div align="center">
<input name="status" type="hidden" value="del">
<input type="submit" value="Удалить"></div></td>
</tr>
</form>

<?}else{
echo <<<STILL
<tr>
<td align=center colspan="6">По данному запросу ничего не найдено</td>
</tr>
STILL;
}?>
<tr>
<td align=center colspan="6">
<div align="center"><?$u=1;
while($u<=$vsego)
{
if($u!=$vsego)
{
?>
<a href="adminmain.php?p=still_task_del&view=<?=$u ?>"><?=$u ?></a> |
<?
}else{
?><a href="adminmain.php?p=still_task_del&view=<?=$u ?>"><?=$u ?></a>
<?
}
$u++;
}?></div>
</td></tr>
</table>